/**
 * 2D Vector
 */
export declare class Vector2 {
    /**
     * X axis
     */
    x: number;
    /**
     * Y axis
     */
    y: number;
    constructor(x?: number | Vector2, y?: number);
    /**
     * Set new vector values
     * @param x X axis or other Vector
     * @param y Y axis or none
     */
    set(x: number | Vector2, y?: number): Vector2;
    /**
     * Clone a new item
     * @returns
     */
    clone(): Vector2;
    /**
     * 将当前二维向量加指定数字 【Adds the specified number to the current 2D vector】
     * @param v
     * @returns
     */
    add(v: number | Vector2): Vector2;
    /**
     * 将当前二维向量减以指定数字【Subtract the current 2D vector to specify a number】
     * @param v
     * @returns
     */
    substract(v: number | Vector2): Vector2;
    /**
     * 将当前二维向量乘以指定数字 【Multiplies the current 2D vector by the specified number】
     * @param v
     * @returns
     */
    multiply(v: number): Vector2;
    /**
     * 将当前二维向量除以指定数字 【Divides the current 2D vector by the specified number】
     * @param v
     * @returns
     */
    divide(v: number): Vector2;
    /**
     * Test two vector2's value is equal
     */
    equal(another: Vector2): boolean;
    /**
     * 转为字符串
     * @returns
     */
    toString(): string;
}
